package com.hai.service;

import com.hai.entity.HighTyAgentOilStation;
import com.hai.model.TyAgentOilStationModel;
import com.hai.model.TyOrderModel;

import java.util.List;
import java.util.Map;

/**
 * 团油代理商 加油站管理
 * @author hurui
 */
public interface HighTyAgentOilStationService {

    /**
     * 编辑数据
     * @param tyAgentOilStation
     */
    void editData(HighTyAgentOilStation tyAgentOilStation);

    /**
     * 查询加油站列表
     * @param param
     * @return
     */
    List<TyAgentOilStationModel> getOilStationList(Map<String, Object> param);

    /**
     * 根据id 查询详情
     * @param id
     * @return
     */
    HighTyAgentOilStation getDetailById(Long id);

    /**
     * 根据加油站id 查询
     * @param oilStationId
     * @return
     */
    HighTyAgentOilStation getDetailByOilStationId(Long oilStationId);

    /**
     * 分配机构
     * @param orgId
     * @param storeList
     */
    void assignOrg(Long orgId,List<Long> storeList);

    /**
     * 解绑机构
     * @param oilStationList
     */
    void unbindOrg(List<Long> oilStationList);

    /**
     * 分配代理商
     * @param agentId
     * @param oilStationList
     */
    void assignAgent(Long agentId,List<Long> oilStationList);

    /**
     * 解绑代理商
     * @param oilStationList
     */
    void unbindAgent(List<Long> oilStationList);

    /**
     * 分配业务员
     * @param salesmanId
     * @param oilStationList
     */
    void assignSalesman(Long salesmanId,List<Long> oilStationList);

    /**
     * 解绑业务员
     * @param oilStationList
     */
    void unbindSalesman(List<Long> oilStationList);

    /**
     * 查询订单列表
     * @param param
     * @return
     */
    List<TyOrderModel> getOrderList(Map<String, Object> param);
}
